​
Select Service
ves-io-schema-api_group_element-API-Get
Published April 5, 2023 | Last modified June 24, 2026
Examples of getting api_group_element
Usecase:
Get api_group_element ves-io-public-advertise-policys-read-api from ves.io/shared
Request using vesctl:
vesctl configuration get api_group_element ves-io-public-advertise-policys-read-api --namespace ves-io-shared
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: ves-io-public-advertise-policys-read-api namespace: sharedreferringObjects: []resourceVersion: "166"spec: methods: - GET pathRegex: ^/api/config/namespaces/([a-z]([-a-z0-9]*[a-z0-9])?)/advertise_policys$status: []systemMetadata: creationTimestamp: "2026-06-19T22:02:20.505478Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: ves-io uid: b892b22c-d463-429d-8333-93300e018905Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/web/namespaces/ves-io-shared/api_group_elements/ves-io-public-advertise-policys-read-api?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 916Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:02:20 GMTVary: Accept-Encoding
{ "resource_version": "166", "metadata": { "name": "ves-io-public-advertise-policys-read-api", "namespace": "shared", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "b892b22c-d463-429d-8333-93300e018905", "creation_timestamp": "2026-06-19T22:02:20.505478Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "ves-io", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "methods": [ "GET" ], "path_regex": "^/api/config/namespaces/([a-z]([-a-z0-9]*[a-z0-9])?)/advertise_policys$" }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}